SecurityDialogMessage (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.security.SecurityDialogMessage class
Date: 2021-11-09

net.sourceforge.jnlp.security

## Class SecurityDialogMessage

- java.lang.Object
- - net.sourceforge.jnlp.security.SecurityDialogMessage

-     public final class SecurityDialogMessage
      extends java.lang.Object

  Represents a message to the security framework to show a specific security dialog

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SecurityDialogs.AccessType` | `accessType`
    `java.security.cert.X509Certificate` | `certificate`
    `CertVerifier` | `certVerifier`
    `SecurityDialogs.DialogType` | `dialogType`
    `java.lang.Object[]` | `extras`
    `JNLPFile` | `file`
    `java.util.concurrent.Semaphore` | `lock`
    `javax.swing.JDialog` | `toDispose`
    `net.sourceforge.jnlp.security.dialogresults.DialogResult` | `userResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityDialogMessage(JNLPFile file)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dialogType

          public SecurityDialogs.DialogType dialogType

    - #### accessType

          public SecurityDialogs.AccessType accessType

    - #### file

          public final JNLPFile file

    - #### certVerifier

          public CertVerifier certVerifier

    - #### certificate

          public java.security.cert.X509Certificate certificate

    - #### extras

          public java.lang.Object[] extras

    - #### userResponse

          public volatile net.sourceforge.jnlp.security.dialogresults.DialogResult userResponse

    - #### lock

          public java.util.concurrent.Semaphore lock

    - #### toDispose

          public javax.swing.JDialog toDispose

  - ### Constructor Detail

    - #### SecurityDialogMessage

          public SecurityDialogMessage(JNLPFile file)

Submit a bug or feature